# Engioscope

A tool to analyze engineering health: git practices, build pipelines, code quality, release pipelines, test automation, the list goes on.

This project works on Node v18.6

To fetch data from APIs:

```
npm run scrape
```

To run scratch file:

```
npm run scratch
```

To pre build tailwind files

```
npm run prebuild:ui
```

To run the UI:

```
npm start
```

Note: You must run `npm run scrape` once before running the UI to fetch data

## Important
 * Engioscope only works with Node 18.16.1
 * Instructions to set-up node 18.16 on your machine:
 * 1. Install n - `brew install n`
 * 2. `sudo n 18.16`
 * 3. `node -v` -> should return 18.16.1
 * 4. `npm start`

## Trouble shooting
 * If you are getting the below error, then it has to do with not using node v18.16.1
 ```
 TypeError [ERR_UNKNOWN_FILE_EXTENSION]: Unknown file extension ".ts" for /Users/naresh/projects/engioscope/backend/update-language-colors.ts
    at new NodeError (node:internal/errors:405:5)
    at Object.getFileProtocolModuleFormat [as file:] (node:internal/modules/esm/get_format:136:11)
    at defaultGetFormat (node:internal/modules/esm/get_format:182:36)
    at defaultLoad (node:internal/modules/esm/load:101:20)
    at nextLoad (node:internal/modules/esm/hooks:864:28)
    at load (/Users/naresh/projects/engioscope/node_modules/ts-node/dist/child/child-loader.js:19:122)
    at nextLoad (node:internal/modules/esm/hooks:864:28)
    at Hooks.load (node:internal/modules/esm/hooks:447:26)
    at MessagePort.handleMessage (node:internal/modules/esm/worker:196:24)
    at [nodejs.internal.kHybridDispatch] (node:internal/event_target:786:20) {
  code: 'ERR_UNKNOWN_FILE_EXTENSION'
}
```
