import { processSpecmaticData, processSpecmaticCentralRepoReport } from './specmatic.js';
import { GithubBuildReportModel } from './GithubBuildReportModel.js';
export const saveGithubBuildReport = (report) => GithubBuildReportModel.updateOne({
    repo: report.repo,
    branch: report.branch,
    buildId: report.buildId,
}, {
    $set: {
        repoId: report.repoId,
        repoUrl: report.repoUrl,
        orgId: report.orgId,
        branchName: report.branchName,
        buildDefinitionId: report.buildDefinitionId,
        createdAt: report.createdAt,
        ...processSpecmaticData(report),
        ...processSpecmaticCentralRepoReport(report),
    },
}, { upsert: true });
